package com.trade.service.filestorage.enums;

public enum FileTemplateEnum {

    USER_DOCUMENT("123", "C:/Users/dawn7/Desktop/xsfp.docx", FileModuleEnum.PROFORMA_INVOICE),
    ;


    /** 编码 */
    private final String code;
    /** 名称 */
    private final String path;

    private final FileModuleEnum module;

    public String getCode() {
        return code;
    }
    public String getPath() {
        return path;
    }
    public FileModuleEnum getModule() {
        return module;
    }

    FileTemplateEnum(String code, String path, FileModuleEnum module){
        this.code = code;
        this.path = path;
        this.module = module;
    }
}
